## GsPlugin Exports GsPlugin Exports — Vfuncs that plugins can implement |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GType | gs_plugin_query_type ()

## Includes

    #include <gnome-software.h>

## Description

## Functions

### gs_plugin_query_type ()

    GType
    gs_plugin_query_type (void);

Returns the GType for a subclass of GsPlugin provided by this plugin module. It should not do any other computation.

The init function for that type should initialize the plugin. If the plugin should not be run then `gs_plugin_set_enabled()` should be called from the init function.

NOTE: Do not do any failable actions in the plugin class’ init function; use GsPluginClass.setup_async instead.

Since: 42